6.0.0-git
2019-05-19

[#11242] [SyncML] Does not work with Horde 5 beta
Summary [SyncML] Does not work with Horde 5 beta
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester joniw (at) t-online (dot) de
Created 2012-07-07 (2507 days ago)
Due
Updated 2012-08-29 (2454 days ago)
Assigned
Resolved 2012-07-13 (2501 days ago)
Milestone
Patch No

History
2012-08-29 12:42:12 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 80cfbd2c9fb5b77dfbfd8c6a23ee6c4dd9f40b8f
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jul 13 15:48:37 2012 +0200

     [jan] Fix session handling (Bug #11242).

  .../SyncMl/lib/Horde/SyncMl/Backend/Horde.php      |    3 +++
  framework/SyncMl/package.xml                       |    2 ++
  2 files changed, 5 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/80cfbd2c9fb5b77dfbfd8c6a23ee6c4dd9f40b8f
2012-07-13 13:50:21 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-07-13 13:50:04 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 80cfbd2c9fb5b77dfbfd8c6a23ee6c4dd9f40b8f
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jul 13 15:48:37 2012 +0200

     [jan] Fix session handling (Bug #11242).

  .../SyncMl/lib/Horde/SyncMl/Backend/Horde.php      |    3 +++
  framework/SyncMl/package.xml                       |    2 ++
  2 files changed, 5 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/80cfbd2c9fb5b77dfbfd8c6a23ee6c4dd9f40b8f
2012-07-07 01:18:57 joniw (at) t-online (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ [SyncML] Does not work with Horde 5 beta
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
New Attachment: log.txt Download
Reply to this comment
Hello

I just got the Horde 5 beta from the develop branch. Looks good bu the 
only problem is i can't get syncML to work.

When i try to sync, i always get the error that a connection is not 
possible and i should check the username and password. I am using the 
funambol client 10.0.1.

When debugging the problem it looks like the state of the sync is not 
saved between different posts of the syncml client. The second 
connection is always ended with "invalid authentication". With Horde 4 
a session is saved and the sync works.

I have added the log.txt from the sync log, other logs are also available.

With regards

Jonathan

Saved Queries